tracker-info(1)

NAME
tracker-info - Retrieve all information available for a certain file.

SYNOPSIS
tracker-info [OPTION...] FILE...

DESCRIPTION
tracker-info asks for all the known metadata available for the given FILE. Multiple FILE arguments can be provided to retrieve information about multiple files. The FILE argument can be either a local path or a URI. It also does not have to be an absolute path.

OPTIONS

-?, --help
    Show summary of options.

-V, --version
    Print version.

-f, --full-namespaces
    By default, all keys and values reported about any given FILE are returned in shortened form, for example, nie:title is shown instead of http://www.semanticdesktop.org/ontologies/2007/01/19/nie#title. This makes things much easier to see generally and the output is less cluttered. This option reverses that so FULL namespaces are shown instead.

-t, --turtle
    Output results as Turtle RDF. If -f is enabled, full URIs are shown for subjects, predicates and objects; otherwise, shortened URIs are used, and all the prefixes Tracker knows about are printed at the top of the output.

SEE ALSO
tracker-store(1), tracker-sparql(1).

http://nepomuk.semanticdesktop.org/

http://www.w3.org/TR/rdf-sparql-query/